import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DateTimeFieldUpdateOperationsInputObjectSchema as DateTimeFieldUpdateOperationsInputObjectSchema } from './DateTimeFieldUpdateOperationsInput.schema'

const makeSchema = () => z.object({
  createdAt: z.union([z.coerce.date(), z.lazy(() => DateTimeFieldUpdateOperationsInputObjectSchema)]).optional()
}).strict();
export const DatabaseBackupUpdateManyMutationInputObjectSchema: z.ZodType<Prisma.DatabaseBackupUpdateManyMutationInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupUpdateManyMutationInput>;
export const DatabaseBackupUpdateManyMutationInputObjectZodSchema = makeSchema();
